output_format {rmarkdown} | R Documentation

## Define an R Markdown output format

### Description

Define an R Markdown output format based on a combination of knitr and pandoc options.

### Usage

    output_format(knitr, pandoc, keep_md = FALSE, clean_supporting = TRUE,
      pre_knit = NULL, post_knit = NULL, pre_processor = NULL,
      intermediates_generator = NULL, post_processor = NULL,
      base_format = NULL)

### Arguments

`knitr` | Knitr options for an output format (see `knitr_options`)
`pandoc` | Pandoc options for an output format (see `pandoc_options`)
`keep_md` | Keep the markdown file generated by knitting. Note that if this is `TRUE` then `clean_supporting` will always be `FALSE`.
`clean_supporting` | Cleanup any supporting files after conversion see `render_supporting_files`
`pre_knit` | An optional function that runs before kniting which receives the `input` (input filename passed to `render`) and `...` (for future expansion) arguments.

`post_knit`

An optional function that runs after kniting which receives the `metadata`, `input_file`, `runtime`, and `...` (for future expansion) arguments. This function can return additional arguments to pass to pandoc and can call `knitr::knit_meta_add` to add additional dependencies based on the contents of the input_file or on other assets side by side with it that may be used to produce html with dependencies during subsequent processing.

`pre_processor` | An optional pre-processor function that receives the `metadata`, `input_file`, `runtime`, `knit_meta`, `files_dir`, and `output_dir` and can return additional arguments to pass to pandoc.
`intermediates_generator` | An optional function that receives the original `input_file`, its `encoding`, and the intermediates directory (i.e. the `intermediates_dir` argument to `render`). The function should generate and return the names of any intermediate files required to render the `input_file`.
`post_processor` | An optional post-processor function that receives the `metadata`, `input_file`, `output_file`, `clean`, and `verbose` parmaeters, and can return an alternative `output_file`.
`base_format` | An optional format to extend.

### Value

An R Markdown output format definition that can be passed to `render`.

### See Also

render, knitr_options, pandoc_options

### Examples

    ## Not run:
    output_format(knitr = knitr_options(opts_chunk = list(dev = 'png')),
                  pandoc = pandoc_options(to = "html"))

    ## End(Not run)

[Package rmarkdown version 0.9.6 Index]